<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 12/6/2018
 * Time: 3:49 AM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token']) && isset($_REQUEST['idPropiedad'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
        $condominioData = $Valido->retornarDatos($creadoPor);
        $propiedadid = $_REQUEST['idPropiedad'];
        $propiedad1 = R::find('usuario', 'id_propiedad =:idpropiedad AND tipo_usuario =:tipousuario AND estado =:estado', array('idpropiedad' => $propiedadid, 'tipousuario' => '7', 'estado' => '1'));
        unset($usuario['clave']);
        include '../comun/mensajeOk.php';
        print_r(json_encode($propiedad1));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}